<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>&quot;modules&quot; | @cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="_modules_.html">&quot;modules&quot;</a>
				</li>
			</ul>
			<h1>External module &quot;modules&quot;</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>...</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Modules</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-module tsd-parent-kind-external-module"><a href="_modules_.mymodule.html" class="tsd-kind-icon">My<wbr>Module</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Variables</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-variable tsd-parent-kind-external-module"><a href="_modules_.html#exportedglobalvariable" class="tsd-kind-icon">exported<wbr>Global<wbr>Variable</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_modules_.html#globalvariable" class="tsd-kind-icon">global<wbr>Variable</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_modules_.html#typeliteral" class="tsd-kind-icon">type<wbr>Literal</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Object literals</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-object-literal tsd-parent-kind-external-module tsd-is-not-exported"><a href="_modules_.html#objectliteral" class="tsd-kind-icon">object<wbr>Literal</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Variables</h2>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module">
					<a name="exportedglobalvariable" class="tsd-anchor"></a>
					<h3>exported<wbr>Global<wbr>Variable</h3>
					<div class="tsd-signature tsd-kind-icon">exported<wbr>Global<wbr>Variable<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> =&nbsp;&quot;foo&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in modules.ts:54</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>An exported global variable.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="globalvariable" class="tsd-anchor"></a>
					<h3>global<wbr>Variable</h3>
					<div class="tsd-signature tsd-kind-icon">global<wbr>Variable<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> =&nbsp;&quot;foo&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in modules.ts:59</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A non-exported global variable.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="typeliteral" class="tsd-anchor"></a>
					<h3>type<wbr>Literal</h3>
					<div class="tsd-signature tsd-kind-icon">type<wbr>Literal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">object</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in modules.ts:76</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-siganture">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable tsd-is-not-exported">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5><span class="tsd-flag ts-flagOptional">Optional</span> valueA<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">number</span></h5>
							</li>
							<li class="tsd-parameter">
								<h5><span class="tsd-flag ts-flagOptional">Optional</span> valueB<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">boolean</span></h5>
							</li>
							<li class="tsd-parameter">
								<h5>valueX<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span></h5>
								<ul class="tsd-parameters">
									<li class="tsd-parameter">
										<h5>valueA<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">[]</span></h5>
									</li>
									<li class="tsd-parameter">
										<h5>valueY<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">function</span></h5>
										<ul class="tsd-parameters">
											<li class="tsd-parameter-siganture">
												<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable tsd-is-not-exported">
													<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>z<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span></li>
												</ul>
												<ul class="tsd-descriptions">
													<li class="tsd-description">
														<h4 class="tsd-parameters-title">Parameters</h4>
														<ul class="tsd-parameters">
															<li>
																<h5>z: <span class="tsd-signature-type">string</span></h5>
															</li>
														</ul>
														<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">object</span></h4>
														<ul class="tsd-parameters">
															<li class="tsd-parameter">
																<h5>a<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
															</li>
															<li class="tsd-parameter">
																<h5>b<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
															</li>
														</ul>
													</li>
												</ul>
											</li>
										</ul>
									</li>
									<li class="tsd-parameter">
										<h5>valueZ<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5>valueY<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">function</span></h5>
								<ul class="tsd-parameters">
									<li class="tsd-parameter-siganture">
										<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable tsd-is-not-exported">
											<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
										</ul>
										<ul class="tsd-descriptions">
											<li class="tsd-description">
												<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
											</li>
										</ul>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5>valueZ<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
							</li>
						</ul>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-not-exported">
				<h2>Object literals</h2>
				<section class="tsd-panel tsd-member tsd-kind-object-literal tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="objectliteral" class="tsd-anchor"></a>
					<h3>object<wbr>Literal</h3>
					<div class="tsd-signature tsd-kind-icon">object<wbr>Literal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">object</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in modules.ts:64</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>An object literal.</p>
						</div>
					</div>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal tsd-is-not-exported">
						<a name="objectliteral.valuea-2" class="tsd-anchor"></a>
						<h3>valueA</h3>
						<div class="tsd-signature tsd-kind-icon">valueA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;100</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in modules.ts:72</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal tsd-is-not-exported">
						<a name="objectliteral.valueb-1" class="tsd-anchor"></a>
						<h3>valueB</h3>
						<div class="tsd-signature tsd-kind-icon">valueB<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol"> =&nbsp;true</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in modules.ts:73</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal tsd-is-not-exported">
						<a name="objectliteral.valuez-2" class="tsd-anchor"></a>
						<h3>valueZ</h3>
						<div class="tsd-signature tsd-kind-icon">valueZ<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> =&nbsp;&quot;foo&quot;</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in modules.ts:65</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-object-literal tsd-is-not-exported">
						<a name="objectliteral.valuey-2" class="tsd-anchor"></a>
						<h3>valueY</h3>
						<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-object-literal tsd-is-not-exported">
							<li class="tsd-signature tsd-kind-icon">valueY<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
						</ul>
						<ul class="tsd-descriptions">
							<li class="tsd-description">
								<aside class="tsd-sources">
									<ul>
										<li>Defined in modules.ts:66</li>
									</ul>
								</aside>
								<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							</li>
						</ul>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-object-literal tsd-parent-kind-object-literal tsd-is-not-exported">
						<a name="objectliteral.valuex-1" class="tsd-anchor"></a>
						<h3>valueX</h3>
						<div class="tsd-signature tsd-kind-icon">valueX<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">object</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in modules.ts:67</li>
							</ul>
						</aside>
						<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal tsd-is-not-exported">
							<a name="objectliteral.valuex-1.valuea-3" class="tsd-anchor"></a>
							<h3>valueA</h3>
							<div class="tsd-signature tsd-kind-icon">valueA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol"> =&nbsp;[100, 200, 300]</span></div>
							<aside class="tsd-sources">
								<ul>
									<li>Defined in modules.ts:70</li>
								</ul>
							</aside>
						</section>
						<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal tsd-is-not-exported">
							<a name="objectliteral.valuex-1.valuez-3" class="tsd-anchor"></a>
							<h3>valueZ</h3>
							<div class="tsd-signature tsd-kind-icon">valueZ<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> =&nbsp;&quot;foo&quot;</span></div>
							<aside class="tsd-sources">
								<ul>
									<li>Defined in modules.ts:68</li>
								</ul>
							</aside>
						</section>
						<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-object-literal tsd-is-not-exported">
							<a name="objectliteral.valuex-1.valuey-3" class="tsd-anchor"></a>
							<h3>valueY</h3>
							<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-object-literal tsd-is-not-exported">
								<li class="tsd-signature tsd-kind-icon">valueY<span class="tsd-signature-symbol">(</span>z<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span></li>
							</ul>
							<ul class="tsd-descriptions">
								<li class="tsd-description">
									<aside class="tsd-sources">
										<ul>
											<li>Defined in modules.ts:69</li>
										</ul>
									</aside>
									<h4 class="tsd-parameters-title">Parameters</h4>
									<ul class="tsd-parameters">
										<li>
											<h5>z: <span class="tsd-signature-type">string</span></h5>
										</li>
									</ul>
									<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">object</span></h4>
									<ul class="tsd-parameters">
										<li class="tsd-parameter">
											<h5>a<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
										</li>
										<li class="tsd-parameter">
											<h5>b<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
										</li>
									</ul>
								</li>
							</ul>
						</section>
					</section>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_access_.html">"access"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_flattened_.html">"flattened"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_functions_.html">"functions"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_generics_.html">"generics"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="_modules_.html">"modules"</a>
						<ul>
							<li class=" tsd-kind-module tsd-parent-kind-external-module">
								<a href="_modules_.mymodule.html">My<wbr>Module</a>
							</li>
						</ul>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-variable tsd-parent-kind-external-module">
						<a href="_modules_.html#exportedglobalvariable" class="tsd-kind-icon">exported<wbr>Global<wbr>Variable</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_modules_.html#globalvariable" class="tsd-kind-icon">global<wbr>Variable</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_modules_.html#typeliteral" class="tsd-kind-icon">type<wbr>Literal</a>
					</li>
					<li class=" tsd-kind-object-literal tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_modules_.html#objectliteral" class="tsd-kind-icon">object<wbr>Literal</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>